import { Component, OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { Server } from "src/app/models/data/server.model";
import { DataService } from "src/app/services/data/data.service";
import { SpinnerService } from "src/app/services/spinner/spinner.service";
import { SidebarService } from "../../../../services/sidebar/sidebar.service";
import { ServerService } from "../../../../services/server.service";

@Component({
  selector: "app-server-dashboard",
  templateUrl: "./server-dashboard.component.html",
  styleUrls: ["./server-dashboard.component.scss"]
})
export class ServerDashboardComponent implements OnInit {

  id!: number;
  server!: Server;

  constructor(
    private route: ActivatedRoute,
    private router: Router,
    private data: DataService,
    private spinner: SpinnerService,
    private serverService: ServerService
  ) {
  }

  ngOnInit(): void {
    this.data.getServerFromRoute(this.route).then(server => {
      this.server = server;
    });

    this.serverService.server$.subscribe(server => {
      if (!server) {
        return;
      }
      this.server = server;
    });
  }

}
